<?php
/**
 * mtwMigrator
 *
 * @author      Matias Aguirre
 * @email       maguirre@matware.com.ar
 * @url         http://www.matware.com.ar/
 * @license             GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.view');
jimport('joomla.filesystem.file');

class mtwMigratorViewConfig extends JView {

	function display($tpl = null)	{
		JToolBarHelper::title(   JText::_( 'Configuration' ), 'config.png' );
		//JToolBarHelper::deleteList();
		//JToolBarHelper::editListX();
		//JToolBarHelper::addNewX();
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::cancel();
		JToolBarHelper::spacer();

		$configFile = JPATH_COMPONENT.DS.'mtwmigrator_config.php';
		if (JFile::exists( $configFile )) {
			include( $configFile );
		}

		$this->assignRef('lists', $lists);
		$this->assignRef('config', $mtwCFG);
		$this->assignRef('ext', $ext);

		parent::display($tpl);
	}
}
