<?php
/**
 * mtwMigrator
 *
 * @author      Matias Aguirre
 * @email       maguirre@matware.com.ar
 * @url         http://www.matware.com.ar/
 * @license             GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.view');
jimport('joomla.filesystem.file');

class mtwMigratorViewGlobal extends JView {

	function display($tpl = null)	{
		JToolBarHelper::title(   JText::_( 'sConfiguration' ), 'config.png' );
		//JToolBarHelper::deleteList();
		//JToolBarHelper::editListX();
		//JToolBarHelper::addNewX();
		JToolBarHelper::apply();
		JToolBarHelper::save();
		JToolBarHelper::cancel();
		JToolBarHelper::spacer();

		$configFile = JPATH_COMPONENT.DS.'mtwmigrator_config.php';
		if (JFile::exists( $configFile )) {
			include( $configFile );
		}

		$lists['groups'] = JHTML::_('select.booleanlist', 'groups', '', $mtwCFG['groups']);
		$lists['users'] = JHTML::_('select.booleanlist', 'users', '', $mtwCFG['users']);
		$lists['backup'] = JHTML::_('select.booleanlist', 'backup', '', $mtwCFG['backup']);
		$lists['sections'] = JHTML::_('select.booleanlist', 'sections', '', $mtwCFG['sections']);
		$lists['categories'] = JHTML::_('select.booleanlist', 'categories', '', $mtwCFG['categories']);
		$lists['content'] = JHTML::_('select.booleanlist', 'content', '', $mtwCFG['content']);
		$lists['frontpage'] = JHTML::_('select.booleanlist', 'frontpage', '', $mtwCFG['frontpage']);
		$lists['menus'] = JHTML::_('select.booleanlist', 'menus', '', $mtwCFG['menus']);
		$lists['modules'] = JHTML::_('select.booleanlist', 'modules', '', $mtwCFG['modules']);
		$lists['polls'] = JHTML::_('select.booleanlist', 'polls', '', $mtwCFG['polls']);
		$lists['weblinks'] = JHTML::_('select.booleanlist', 'weblinks', '', $mtwCFG['weblinks']);
		$lists['contacts'] = JHTML::_('select.booleanlist', 'contacts', '', $mtwCFG['contacts']);

		$this->assignRef('lists', $lists);
		$this->assignRef('items', $mtwCFG);
		$this->assignRef('ext', $ext);

		parent::display($tpl);
	}
}
