<?php 
/**
 * mtwMigrator
 *
 * @author      Matias Aguirre
 * @email       maguirre@matware.com.ar
 * @url         http://www.matware.com.ar/
 * @license             GNU/GPL
 */
defined('_JEXEC') or die('Restricted access'); 
?>
<link rel="stylesheet" type="text/css" href="components/com_mtwmigrator/css/mtwmigrator.css" />
<script type="text/javascript" src="components/com_mtwmigrator/js/jquery.js"></script>
<script type="text/javascript">

	$(document).ready(function(){
		$("#j10").hide("fast");
		$("#j15").hide("fast");
		$("#d70").hide("fast");
		$("#error").hide("fast");

		$("#check").click(check);
		//$("#img").click(report);
<?php
		if($this->config['hostname'] != ""
			&& $this->config['username'] != ""
			&& $this->config['password'] != "") { 
			echo "check();";
		}
?>

    $("#dbname").change(function() {
			$("#j10").hide("fast");
			$("#j15").hide("fast");
			$("#d70").hide("fast");
			$("#error").hide("fast");
			$("#check").show("slow");
    });

    $("#username").change(function() {
			$("#j10").hide("fast");
			$("#j15").hide("fast");
			$("#d70").hide("fast");
			$("#error").hide("fast");
			$("#check").show("slow");
    });

    $("#password").change(function() {
			$("#j10").hide("fast");
			$("#j15").hide("fast");
			$("#d70").hide("fast");
			$("#error").hide("fast");
			$("#check").show("slow");
    });
					
	});

	function check(event) {
		//alert($("#hostname").val());

		var hostname = $("#hostname").val();
		var dbname = $("#dbname").val();
		var username = $("#username").val();
		var password = $("#password").val();
		var prefix = $("#prefix").val();

		$.get("components/com_mtwmigrator/js/check.php", { hostname: hostname, dbname: dbname, username: username, password: password, prefix: prefix },
			function(data){
				//alert("Data Loaded: " + data);
				
				error = data.substring(0, 5);
				//alert(error);

				if(error == "ERROR"){
					$("#error").html(data);
					$("#error").show("slow");
				}else{

					$("#ver").val(data);

					$("#check").hide("slow");
					$("#"+data).show("slow");
				}
		});

		/*
		name = this.id;
		ok = name.substring(0, 5);

		if(ok == "okImg") {
			id = name.substring(5, name.length);
			val = 1;
		}else{
			id = name.substring(9, name.length);
			val = 2;
		}

		//alert(name.length);
		$.get("components/com_joomclip/js/report.php", { id: id, val: val },
			function(data){
				//alert("Data Loaded: " + data);
				$("#pendient"+id).hide("fast");
				$("#okImg"+id).hide("fast");
				$("#cancelImg"+id).hide("fast");
				if(ok == "okImg") {
					$("#approved"+id).show("slow");
				}else{
					$("#reproved"+id).show("slow");
				}
				
				//$("#report").hide("slow");
				//$("#reported").show("slow");
		});
		event.preventDefault();
		*/
	}
  
</script>
<form action="index.php" method="post" name="adminForm">
<div id="editcell">

<table border="0" width="100%">
<tr>
	<td width="50%" valign="top">

	<table class="adminlist">
	<tr>
		<td colspan="2">
			<h3><?php echo JText::_( "Server Configuration" ); ?></h3>
		</td>
	</tr>
	<tr>
		<td align="right">
			<?php echo JText::_( "Hostname" ); ?>
		</td>
		<td>
			<?php 
				if ($this->config['hostname'] == "") {
					$this->config['hostname'] = "localhost";
				}
			?>
			<input type="text" id="hostname" name="hostname" value="<?php echo $this->config['hostname'];?>" />
		</td>
	</tr>
    <tr>
        <td align="right">
            <?php echo JText::_( "Database Name" ); ?>
        </td>
        <td>
			<input type="text" id="dbname" name="dbname" value="<?php echo $this->config['dbname'];?>" />
        </td>
    </tr>
    <tr>
        <td align="right">
            <?php echo JText::_( "UserName" ); ?>
        </td>
        <td>
            <input type="text" id="username" name="username" value="<?php echo $this->config['username'];?>" />
        </td>
    </tr>
    <tr>
        <td align="right">
            <?php echo JText::_( "Password" ); ?>
        </td>
        <td>
					<input type="password" id="password" name="password" value="<?php echo $this->config['password'];?>" />
        </td>
    </tr>
    <tr>
        <td align="right">
          <?php echo JText::_( "Prefix" ); ?>
        </td>
        <td>
					<?php 
						if ($this->config['prefix'] == "") {
							$this->config['prefix'] = "jos_";
						}
					?>
          <input type="text" id="prefix" name="prefix" value="<?php echo $this->config['prefix'];?>" />
        </td>
	</tr>
  <tr>
        <td align="center" colspan="2">
				<div id="check">
					<img src="components/com_mtwmigrator/images/check.png" />
					<div>CHECK</div>
				</div>
				<div id="j10">
					Joomla 1.0 Detected!
				</div>
				<div id="j15">
					Joomla 1.5 Detected!
				</div>
				<div id="d70">
					Drupal 7.0 Detected!
				</div>
				<div id="error">
					&nbsp;
				</div>
        </td>
	</tr>
	</table>

	</td>

</tr>
</table>

</div>

<input type="hidden" name="option" value="com_mtwmigrator" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="config" />
<input type="hidden" name="type" value="" />
<input type="hidden" id="ver" name="ver" value="" />

</form>
